#!/bin/bash

FLAIR_PATH=$1
T2_PATH=$2
T1_PATH=$3
T1GD_PATH=$4
OUTPUT_PATH=$5

echo $FLAIR_PATH
echo $OUTPUT_PATH

INPUT_FOLDER='/input'
mkdir $INPUT_FOLDER
OUTPUT_FOLDER='/output'
mkdir $OUTPUT_FOLDER
mkdir $INPUT_FOLDER'/SUBJECT'

cp $FLAIR_PATH $INPUT_FOLDER'/SUBJECT/FLAIR.nii.gz'
cp $T2_PATH $INPUT_FOLDER'/SUBJECT/T2.nii.gz'
cp $T1_PATH $INPUT_FOLDER'/SUBJECT/T1.nii.gz'
cp $T1GD_PATH $INPUT_FOLDER'/SUBJECT/T1GD.nii.gz'

bash /run_pipeline.sh

cp -r $OUTPUT_FOLDER/* $OUTPUT_PATH